Package icyllis.arc3d.vulkan

# Class VulkanResourceProvider

java.lang.Object
icyllis.arc3d.engine.ResourceProvider
icyllis.arc3d.vulkan.VulkanResourceProvider

public class VulkanResourceProvider extends ResourceProvider

- ## Field Summary

  ### Fields inherited from class icyllis.arc3d.engine.ResourceProvider

  `mContext, mResourceCache`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `VulkanResourceProvider(VulkanDevice device, Context context, long maxResourceBudget)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Sampler`
  `createSampler(SamplerDesc desc)`
  `protected Buffer`
  `onCreateNewBuffer(long size, int usage)`
  `protected Image`
  `onCreateNewImage(ImageDesc desc, boolean budgeted)`
  Overridden by backend-specific derived class to create objects.

  ### Methods inherited from class icyllis.arc3d.engine.ResourceProvider

  `assignUniqueKeyToResource, createGraphicsPipeline, createImage, createNewBuffer, createNewImage, createRenderTarget, createRenderTarget, createRenderTarget, createTexture, destroy, findAndRefScratchImage, findAndRefScratchImage, findAndRefScratchRenderTarget, findAndRefScratchRenderTarget, findOrCreateBuffer, findOrCreateCompatibleSampler, findOrCreateGraphicsPipeline, findOrCreateImage, freeGpuResources, getResourceCache, getResourceCacheBudgetedBytes, getResourceCacheLimit, getResourceCachePurgeableBytes, purgeResourcesNotUsedSince, wrapBackendRenderTarget, wrapGLDefaultFramebuffer, wrapRenderableBackendTexture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VulkanResourceProvider

    protected VulkanResourceProvider(VulkanDevice device, Context context, long maxResourceBudget)

- ## Method Details

  - ### onCreateNewImage

    @Nullable protected Image onCreateNewImage(ImageDesc desc, boolean budgeted)
    Description copied from class: `ResourceProvider`
    Overridden by backend-specific derived class to create objects.

    Image size and format support will have already been validated in base class before onCreateImage is called.

    Specified by:
      `onCreateNewImage` in class `ResourceProvider`

  - ### createSampler

    @Nullable protected Sampler createSampler(SamplerDesc desc)
    Specified by:
      `createSampler` in class `ResourceProvider`

  - ### onCreateNewBuffer

    @Nullable protected Buffer onCreateNewBuffer(long size, int usage)
    Specified by:
      `onCreateNewBuffer` in class `ResourceProvider`